/*
 * @Author: ZhengXiaowei
 * @Date: 2019-10-15 14:05:33
 * @LastEditors: ZhengXiaowei
 * @LastEditTime: 2019-10-15 14:05:59
 * @Description: api
 */
import fly from "./fly";

// 获取首页数据
export const getHomeList = (sex) => {
  console.log(sex);
  return fly.get(`/books/${sex}/index`);
};


// 获取分类
export const getCategory = () => {
  return fly.get("/books/getCategory");
}

// 获取书库
export const getBooksList = (params) => {
  return fly.get("/books/library", params);
}

// 获取图书详情
export const getBooksInfo = (bid) => {
  return fly.get(`/book/${bid}`);
}

// 获取详情页相似数据
export const getSimilarBooks = (category_id, bid) => {
  return fly.get("/books/similar", {
    category_id,
    bid
  })
}

// 获取充值列表
export const getChargeList = () => {
  return fly.get("/order/chargeList");
}